log4shib::HierarchyMaintainer(3)

NAME
log4shib::HierarchyMaintainer - HierarchyMaintainer is an internal log4shib class.

SYNOPSIS

#include <HierarchyMaintainer.hh>

  Public Types
typedef std::map< std::string, Category * > CategoryMap

  Public Member Functions
HierarchyMaintainer ()
virtual ~HierarchyMaintainer ()
virtual Category * getExistingInstance (const std::string &name)
virtual Category & getInstance (const std::string &name)
virtual std::vector< Category * > * getCurrentCategories () const
virtual void shutdown ()
virtual void deleteAllCategories ()

  Static Public Member Functions
static HierarchyMaintainer & getDefaultMaintainer ()

  Protected Member Functions
virtual Category * _getExistingInstance (const std::string &name)
virtual Category & _getInstance (const std::string &name)

  Protected Attributes
CategoryMap _categoryMap
threading::Mutex _categoryMutex

  Friends
class Log4cppCleanup

Detailed Description

HierarchyMaintainer is an internal log4shib class. It is responsible for maintaining the hierarchy of Categories. Applications should not have to use this class directly.

Member Typedef Documentation

  typedef std::map<std::string, Category*> log4shib::HierarchyMaintainer::CategoryMap

Constructor & Destructor Documentation

  log4shib::HierarchyMaintainer::HierarchyMaintainer ()

  log4shib::HierarchyMaintainer::~HierarchyMaintainer () [virtual]

Member Function Documentation

  Category * log4shib::HierarchyMaintainer::_getExistingInstance (const std::string & name) [protected], [virtual]

  Category & log4shib::HierarchyMaintainer::_getInstance (const std::string & name) [protected], [virtual]

  void log4shib::HierarchyMaintainer::deleteAllCategories () [virtual]

  std::vector< Category * > * log4shib::HierarchyMaintainer::getCurrentCategories () const [virtual]

  HierarchyMaintainer & log4shib::HierarchyMaintainer::getDefaultMaintainer () [static]

  Category * log4shib::HierarchyMaintainer::getExistingInstance (const std::string & name) [virtual]

  Category & log4shib::HierarchyMaintainer::getInstance (const std::string & name) [virtual]

  void log4shib::HierarchyMaintainer::shutdown () [virtual]

Friends And Related Function Documentation

  friend class Log4cppCleanup [friend]

Member Data Documentation

  CategoryMap log4shib::HierarchyMaintainer::_categoryMap [protected]

  threading::Mutex log4shib::HierarchyMaintainer::_categoryMutex [mutable], [protected]

Author

Generated automatically by Doxygen for log4shib from the source code.